#include <glib.h>
#include "microcosm.h"
#include "util.h"
#include "factions.h"

void factionlist_add_fleet(struct gstrlist_t *l, GString *f)
{
  int len=f->len;
  int x=0;
  while ((x<f->len) && (f->str[x]!='/')) {
    x++;
  }
  f->len=x;
  f->str[x]='\0';
  gstrlistindex_c(l,f);
  if (x<len) {
    f->str[x]='/';
  }
  f->len=len;
}

void factionlist_add_orbital_fleets(struct gstrlist_t *l, struct body_t *b)
{
  int x=0;
  while (x<b->numofleets) {
    factionlist_add_fleet(l,b->ofleets[x]);
    x++;
  }
}

void factionlist_add_landed_fleets(struct gstrlist_t *l, struct body_t *b)
{
  int x=0;
  while (x<b->numlfleets) {
    factionlist_add_fleet(l,b->lfleets[x]);
    x++;
  }
}

